//
//  Tile.h
//  Pathway
//
//  Created by Andrew Sage on 26/04/2005.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

enum { COLOUR_RED, COLOUR_GREEN, COLOUR_BLUE, COLOUR_YELLOW };


@interface Tile : NSObject {
	
	int colour;	// colour of the symbol
	int sides;	// number of sides to the symbol
	NSPoint position; // location of tile
	bool blocked;	// is this a blocked tile?
}

-(void)setColour:(int)newColour;
-(int)colour;

-(void)setSides:(int)newSides;
-(int)sides;

-(void)increaseSides;

-(void)setPosition:(NSPoint)newPosition;
-(NSPoint)position;

-(void)setBlocked:(bool)state;
-(bool)blocked;

@end
